# /check-ip

### GET /check-ip/93.123.85.153/

> Response Examples

> Success

```json
{
  "ip": "93.123.85.153",
  "continent": "Europe",
  "country": "DE",
  "region": "Hesse",
  "city": "Gießen",
  "postal": "35390",
  "loc": "50.5873,8.6755",
  "hostname": null,
  "connection": "static",
  "asname": "MortalSoft",
  "as": "AS216240 MortalSoft Ltd.",
  "organization": "Mortalsoft Ltd",
  "usageType": "business",
  "domain": "mortalsoft.online",
  "route": "93.123.85.0/24",
  "languages": [
    {
      "name": "Bulgarian",
      "native": "Български",
      "code": "bg"
    }
  ],
  "currency": {
    "name": "Bulgarian Lev",
    "code": "BGN",
    "symbol": "BGN",
    "native": "лв.",
    "plural": "Bulgarian leva"
  },
  "calling_code": "359",
  "time_zone": {
    "name": "Europe/Sofia",
    "abbr": "EEST",
    "offset": "+0300",
    "is_dst": true,
    "current_time": "2024-05-20T12:24:08+03:00"
  },
  "offset": null,
  "current_time": null,
  "is_vpn": false,
  "is_proxy": 0,
  "is_tor": 0,
  "is_bot": null,
  "recent_abuse": true,
  "is_known_attacker": true,
  "fraud_score": 100,
  "risk_score": 100,
  "abuse_score": 24,
  "scamalytics_score": 0
}
```

#### Responses

| HTTP Status Code | Meaning                                                 | Description | Data schema |
| ---------------- | ------------------------------------------------------- | ----------- | ----------- |
| 200              | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | Success     | Inline      |

#### Responses Data Schema

HTTP Status Code **200**

| Name                  | Type      | Required | Restrictions | Title | description |
| --------------------- | --------- | -------- | ------------ | ----- | ----------- |
| » ip                  | string    | true     | none         | none  |             |
| » continent           | string    | true     | none         | none  |             |
| » country             | string    | true     | none         | none  |             |
| » region              | string    | true     | none         | none  |             |
| » city                | string    | true     | none         | none  |             |
| » postal              | string    | true     | none         | none  |             |
| » loc                 | string    | true     | none         | none  |             |
| » hostname            | null      | true     | none         | none  |             |
| » connection          | string    | true     | none         | none  |             |
| » asname              | string    | true     | none         | none  |             |
| » as                  | string    | true     | none         | none  |             |
| » organization        | string    | true     | none         | none  |             |
| » usageType           | string    | true     | none         | none  |             |
| » domain              | string    | true     | none         | none  |             |
| » route               | string    | true     | none         | none  |             |
| » languages           | \[object] | true     | none         | none  |             |
| »» name               | string    | false    | none         | none  |             |
| »» native             | string    | false    | none         | none  |             |
| »» code               | string    | false    | none         | none  |             |
| » currency            | object    | true     | none         | none  |             |
| »» name               | string    | true     | none         | none  |             |
| »» code               | string    | true     | none         | none  |             |
| »» symbol             | string    | true     | none         | none  |             |
| »» native             | string    | true     | none         | none  |             |
| »» plural             | string    | true     | none         | none  |             |
| » calling\_code       | string    | true     | none         | none  |             |
| » time\_zone          | object    | true     | none         | none  |             |
| »» name               | string    | true     | none         | none  |             |
| »» abbr               | string    | true     | none         | none  |             |
| »» offset             | string    | true     | none         | none  |             |
| »» is\_dst            | boolean   | true     | none         | none  |             |
| »» current\_time      | string    | true     | none         | none  |             |
| » offset              | null      | true     | none         | none  |             |
| » current\_time       | null      | true     | none         | none  |             |
| » is\_vpn             | boolean   | true     | none         | none  |             |
| » is\_proxy           | integer   | true     | none         | none  |             |
| » is\_tor             | integer   | true     | none         | none  |             |
| » is\_bot             | null      | true     | none         | none  |             |
| » recent\_abuse       | boolean   | true     | none         | none  |             |
| » is\_known\_attacker | boolean   | true     | none         | none  |             |
| » fraud\_score        | integer   | true     | none         | none  |             |
| » risk\_score         | integer   | true     | none         | none  |             |
| » abuse\_score        | integer   | true     | none         | none  |             |
| » scamalytics\_score  | integer   | true     | none         | none  |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ipscore.me/checkers/check-ip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
